Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.spatialschema
Class BoundaryImpl

    java.lang.Object
      org.deegree.model.spatialschema.GeometryImpl
          org.deegree.model.spatialschema.BoundaryImpl

All Implemented Interfaces:
  Serializable, Boundary, Geometry

Direct Known Subclasses:
  PrimitiveBoundaryImpl

    public abstract class BoundaryImpl

extends GeometryImpl
implements Boundary, Serializable

default implementation of the Boundary interface. The class is abstract because there isn't a boundary without a geometry type. Concrete implementations are `CurveBoundary` or `SurfaceBoundary` for example.

------------------------------------------------------------

Version:
  5.6.2001
Author:
  Andreas Poth

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.model.spatialschema.GeometryImpl
`boundary, centroid, convexHull, crs, empty, envelope, mute, valid`

Fields inherited from interface org.deegree.model.spatialschema.Geometry
`BUFFER_CAP_BUTT, BUFFER_CAP_ROUND, BUFFER_CAP_SQUARE`

Constructor Summary
`protected` | `BoundaryImpl(CoordinateSystem crs)`

Method Summary
`boolean` | `isCycle()` A geometric object, which has no boundary is a cycle.

Methods inherited from class org.deegree.model.spatialschema.GeometryImpl
`calculateParam, clone, contains, contains, difference, distance, equals, getBoundary, getBuffer, getBuffer, getCentroid, getConvexHull, getCoordinateSystem, getEnvelope, getTolerance, intersection, intersects, isEmpty, isValid, isWithinDistance, setCoordinateSystem, setEmpty, setTolerance, setValid, toString, translate, union`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.deegree.model.spatialschema.Geometry
`contains, contains, difference, distance, getBoundary, getBuffer, getBuffer, getCentroid, getConvexHull, getCoordinateDimension, getCoordinateSystem, getDimension, getEnvelope, getTolerance, intersection, intersects, isEmpty, isWithinDistance, setTolerance, translate, union`

Constructor Detail

### BoundaryImpl

    protected BoundaryImpl(CoordinateSystem crs)

Parameters:
  `crs` - the reference system

Method Detail

### isCycle

    public boolean isCycle()

  Description copied from interface: `Boundary`
  A geometric object, which has no boundary is a cycle.

  Specified by:
    `isCycle` in interface `Boundary`
  Returns:
    if the boundary is set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org